Author: Bastian Waidelich Category: ViewHelpers
Created: 2011-10-17 Assigned To: Bastian Waidelich
Updated: 2011-11-10 Due date:
Has patch: No
Subject: FlashMessages ViewHelper should render message title and severity
Description

Currently <f:flashmessages /> renders the FlashMessages only by converting them into a string implicitly. That only returns the
message Body of the respective FlashMessage. In order to render FlashMessages according to their type, the severity should be
rendered into the flash message as CSS class. Besides the title of a message should be rendered, if specified.

Associated revisions
Revision 50db4d21 - 2011-11-10 15:05 - Bastian Waidelich

[FEATURE] (ViewHelpers): Render FlashMessage title and severity

Currently the FlashMessages ViewHelper only renders the body of
the respective Flash Messages.
This change modifies the ViewHelper in a backwards compatible
way so that it outputs the message title if specified.
Additionally the severity (notice, warning, error, ok) is
added to each list item.

Additionally free rendering foreach style is possible now.

Change-Id: Icf2c3e0bff3140bfd7da0c3c0808cca0097f6197
Resolves: #31019
Release: 1.1

History
#1 - 2011-10-17 21:36 - Mr. Hudson

Patch set 1 of change Icf2c3e0bff3140bfd7da0c3c0808cca0097f6197 has been pushed to the review server.
It is available at http://review.typo3.org/5913

#2 - 2011-10-17 21:48 - Mr. Hudson

Patch set 2 of change Icf2c3e0bff3140bfd7da0c3c0808cca0097f6197 has been pushed to the review server.
It is available at http://review.typo3.org/5913

#3 - 2011-10-26 10:18 - Adrian Föder

Just got in touch with this entry, maybe this is also interesting: https://gist.github.com/1315759
#4 - 2011-10-31 13:27 - Mr. Hudson

Patch set 3 of change Icf2c3e0bff3140bfd7da0c3c0808cca0097f6197 has been pushed to the review server.
It is available at http://review.typo3.org/5913

#5 - 2011-10-31 13:33 - Mr. Hudson

Patch set 4 of change Icf2c3e0bff3140bfd7da0c3c0808cca0097f6197 has been pushed to the review server.
It is available at http://review.typo3.org/5913

#6 - 2011-11-10 11:35 - Mr. Hudson

Patch set 5 of change Icf2c3e0bff3140bfd7da0c3c0808cca0097f6197 has been pushed to the review server.
It is available at http://review.typo3.org/5913

#7 - 2011-11-10 12:39 - Mr. Hudson

Patch set 6 of change Icf2c3e0bff3140bfd7da0c3c0808cca0097f6197 has been pushed to the review server.
It is available at http://review.typo3.org/5913

#8 - 2011-11-10 13:30 - Mr. Hudson

Patch set 7 of change Icf2c3e0bff3140bfd7da0c3c0808cca0097f6197 has been pushed to the review server.
It is available at http://review.typo3.org/5913

#9 - 2011-11-10 15:05 - Mr. Hudson

Patch set 8 of change Icf2c3e0bff3140bfd7da0c3c0808cca0097f6197 has been pushed to the review server.
It is available at http://review.typo3.org/5913

#10 - 2011-11-10 15:36 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:50db4d21b800a571c949fb5c62ddc02d7dc858a6.
